Package com.complexible.stardog.db

# Enum Class DatabaseOptions.InlineStoredQuery

java.lang.Object
java.lang.Enum<DatabaseOptions.InlineStoredQuery>
com.complexible.stardog.db.DatabaseOptions.InlineStoredQuery

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabaseOptions.InlineStoredQuery>`, `Constable`

Enclosing class:
  `DatabaseOptions`

public static enum DatabaseOptions.InlineStoredQuery extends Enum<DatabaseOptions.InlineStoredQuery>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  `NEVER`
  `OPTIMIZER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DatabaseOptions.InlineStoredQuery`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DatabaseOptions.InlineStoredQuery[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER

    public static final DatabaseOptions.InlineStoredQuery NEVER

  - ### OPTIMIZER

    public static final DatabaseOptions.InlineStoredQuery OPTIMIZER

  - ### ALWAYS

    public static final DatabaseOptions.InlineStoredQuery ALWAYS

- ## Method Details

  - ### values

    public static DatabaseOptions.InlineStoredQuery[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DatabaseOptions.InlineStoredQuery valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null